Bug 1120280 - API doc for "Repositories" is incomplete
Summary: API doc for "Repositories" is incomplete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Bryan Kearney
QA Contact: jaudet
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 15:52 UTC by jaudet
Modified: 2017-02-23 21:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:10:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 8238 None None None 2016-04-22 16:25:57 UTC

Description jaudet 2014-07-16 15:52:47 UTC
Description of problem:
API doc should list "content_type" POST argument as being required. It is listed as being optional.

Version-Release number of selected component (if applicable):
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.21-1.el6sat.noarch
* foreman-compute-1.6.0.21-1.el6sat.noarch
* foreman-gce-1.6.0.21-1.el6sat.noarch
* foreman-libvirt-1.6.0.21-1.el6sat.noarch
* foreman-ovirt-1.6.0.21-1.el6sat.noarch
* foreman-postgresql-1.6.0.21-1.el6sat.noarch
* foreman-proxy-1.6.0.9-1.el6sat.noarch
* foreman-selinux-1.6.0-5.el6sat.noarch
* foreman-vmware-1.6.0.21-1.el6sat.noarch
* katello-1.5.0-26.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.53-1.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
* pulp-server-2.4.0-0.23.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:
100%

Steps to Reproduce:
1. Go to http://qetello02.usersys.redhat.com/apidoc/v2/repositories
2. Click on "POST /katello/api/repositories"
3. Read documentation

Actual results:
"content_type" is listed as optional.

Expected results:
"content_type" is listed as required.

Additional info:
A representative JSON error message one might receive if one attempts to create a repository without specifying a content type is as follows:

> {u'content_type': [u'Please select content type from one of the following: yum, file, puppet']}

Comment 1 RHEL Product and Program Management 2014-07-16 16:14:00 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Bryan Kearney 2014-10-31 21:00:23 UTC
Created redmine issue http://projects.theforeman.org/issues/8238 from this bug

Comment 4 Bryan Kearney 2014-11-13 01:02:28 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/8238 has been closed
-------------
Bryan Kearney
Applied in changeset commit:katello|bcc6b15de8cd88a2179f88126bd659899b6721bf.

Comment 7 jaudet 2015-03-04 15:29:16 UTC
Tested against Satellite-6.1.0-RHEL-6-20150303.0 and Satellite-6.1.0-RHEL-7-20150303.0.

Comment 8 Bryan Kearney 2015-08-11 13:23:07 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:10:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.